
/**
 * Objecten van deze klasse zijn verantwoordlijk voor één paar cijfers dat
 * onderdeel vormt van een display, hetzij het secondengedeelte, hetzij het minutengedeelte
 * 
 * 2016 (c) Kris Coolsaet Universiteit Gent
 */
public class Cijferpaar {
    
    // Velden
    ///////////
    
    private int teller;
    
    private int herstartWaarde; // 6 bij een minutencijferpaar, 0 bij seconden
    
    // Constructoren
    ////////////////
    
    /**
     * Constructor. Initialiseert de velden van dit object.
     */
    public Cijferpaar(int hw) {
        teller = 0;
        herstartWaarde = hw;
    }
    
    // Methoden
    ///////////   
    
    /**
     * Wordt opgeroepen wanneer een nieuwe schaakwedstrijd begint
     */
    public void herstart() {
        teller = herstartWaarde;
    }
    
    
    /**
     * Verminder de waarde van de huidige teller met 1. Gaat terug van 0 naar 59.
     */
    public void verminderMet1() {
         teller = teller - 1;
         if (teller < 0) {
             teller = 59;
         }
    }
    
    /**
     * Is de huidige waarde van de teller nul?
     */
    public boolean isNul() {
        return teller == 0;
    }
    
    /**
     * Geef de huidige waarde terug als een string van twee cijfers.
     */
    public String geefTijd() {
        if (teller > 9) {
            return "" + teller; // trucje om van een getal een string te maken
        } else {
            return "0" + teller;
        }
    }

}
