
/**
 * Hoofdklasse van de toepassing. Vormt de interface met de elektronica van een schaakklok.
 * 
 * Een tweede alternatieve versie voor dit programma. De twee klokjes worden nu
 * opgeslagen in een array die wordt geïndexeerd met het spelernummer 0 of 1
 * 
 * 2016 (c) Kris Coolsaet Universiteit Gent
 */
public class Schaakklok {
    
    // Velden
    ///////////
    
    private int speler; // huidige speler 0 of 1
    
    private Klokje[]  klokjes;
    
    // Constructoren
    ////////////////
    
    /**
     * Constructor. Initialiseert de velden van dit object.
     */
    public Schaakklok() {
        klokjes = new Klokje[]{
            new Klokje(), new Klokje()
        };
        speler = 0;
    }
    
    // Methoden
    ///////////
    
    /**
     * Wordt opgeroepen wanneer een nieuwe wedstrijd begint.
     */
    public void herstart() {
        for (Klokje k : klokjes) {
            k.herstart();
        }
        speler = 0;
    }
    
    /**
     * Wordt elke seconde opgeroepen.
     */
    public void ontvangPuls() {
        klokjes[speler].ontvangPuls();
    }
    
    /**
     * Geef terug wat er op het display moet komen voor de opgegeven speler
     * @param s 0 voor wit 1 voor zwart
     */
    public String geefTijd(int s) {
        return klokjes[s].geefTijd();
    }
    
    /**
     * Geeft aan dat er een andere speler aan zet is
     */
    public void wisselSpeler() {
        speler = 1 - speler;
    }

}
